int part_check(char *subject, char *mid, char *item, int len);
Parts *parts_find_add(int h, char *subj, char *mid);
int parts_complete(Parts *pts);
int part_init(void);
char *part_file(int bkt);
int part_file_init(void);
int part_file_create(int bkt);
int part_open(int bkt);
int part_clear_bkt(int bkt);
int part_idx_open(void);
int part_idx_add(Part *p, char *subj, char *mid);
int part_idx_read(void);
int part_index_rewrite(void);
int parts_send(Parts *pts);
int parts_free_parts(Parts *pts, int doreport);
int parts_del(int h, Parts *pts);
int part_hist_add(Parts *pts);
int part_hist_del(Parts *pts);
